Bug 169196 - apol crashes on loading policy file
apol crashes on loading policy file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setools (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-24 09:52 EDT by Peter Verthez
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-10 13:11:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full backtrace of the crash (5.07 KB, text/plain)
2005-09-24 09:54 EDT, Peter Verthez
no flags Details

  None (edit)
Description Peter Verthez 2005-09-24 09:52:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
When loading the current policy file (/etc/selinux/targeted/policy/policy.19)
in apol, apol crashes with the following error message:

*** glibc detected *** apol: realloc(): invalid next size: 0x0bd2d658 ***

This is on a fully updated system (with selinux-policy-targeted 1.27.1-2.1).
I will add the full backtrace as attachment to this bug.

Version-Release number of selected component (if applicable):
setools-gui-2.1.1-2

How reproducible:
Always

Steps to Reproduce:
1. run apol from terminal
2. load /etc/selinux/targeted/policy/policy.19
  

Actual Results:  Apol crashes, with backtrace in the terminal.

Expected Results:  Apol should have loaded the file and displayed its contents

Additional info:
Comment 1 Peter Verthez 2005-09-24 09:54:09 EDT
Created attachment 119225 [details]
Full backtrace of the crash
Comment 2 Daniel Walsh 2005-12-10 13:11:29 EST
Fixed in setools-2.1.2

Note You need to log in before you can comment on or make changes to this bug.